Page MenuHome

Make deps: Updated required list of dependencies for macOS
ClosedPublic

Authored by Sebastián Barschkis (sebbas) on Sep 11 2020, 3:04 PM.

Details

Summary

It was possible to drop nasm from the list of required macOS dependencies. However, pkg-config had to be added - it was required before but probably no one noticed this.

In order to build external_clang successfully, external_xml2 had to be added to the clang dependencies (c-index-test was failing).

Note: On Linux make deps still seems to require nasm installed via apt.

Diff Detail

Repository
rB Blender

Event Timeline

Sebastián Barschkis (sebbas) requested review of this revision.Sep 11 2020, 3:04 PM
Sebastián Barschkis (sebbas) created this revision.

Sounds fine to me.

This revision is now accepted and ready to land.Sep 14 2020, 1:48 PM